Skip to main content
PATCH
/
firewall
/
groups
/
{firewallGroup}
/
rules
/
{firewallRule}
Update a firewall rule
curl --request PATCH \
  --url https://console.wenium.com/api/firewall/groups/{firewallGroup}/rules/{firewallRule} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "Inbound",
  "action": "ACCEPT",
  "protocol": "TCP",
  "port": "443",
  "address": "0.0.0.0/0"
}
'
{
  "status": true,
  "message": "Firewall Rule updated and sync triggered.",
  "data": {
    "id": 1,
    "firewall_group_id": 1,
    "type": "Inbound",
    "action": "ACCEPT",
    "protocol": "TCP",
    "port": "80",
    "address": "0.0.0.0/0",
    "created_at": "2026-07-03T00:00:00.000000Z",
    "updated_at": "2026-07-03T00:00:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

firewallGroup
integer
required
firewallRule
integer
required

Body

application/json
type
enum<string>
required
Available options:
Inbound,
Outbound
Example:

"Inbound"

action
enum<string>
required
Available options:
ACCEPT,
REJECT,
DROP
Example:

"ACCEPT"

protocol
enum<string>
required
Available options:
TCP,
UDP,
ICMP,
All
Example:

"TCP"

port
string
required
Example:

"443"

address
string
required
Example:

"0.0.0.0/0"

Response

200 - application/json

Rule updated

status
boolean
Example:

true

message
string
Example:

"Firewall Rule updated and sync triggered."

data
object